{% extends "base.html" %}
{% load grafico_tags %}
{% load custom_tags %}
{% block content %}
    {% if totais.totais_gerais %}
        <!-- top tiles -->
        <div class="row tile_count">
            {% if totais.totais_gerais.total_territorios %}
                <div class="col-md-2 col-sm-4 col-xs-6 tile_stats_count">
                    <span class="count_top">
                        <i class="fa fa-users"></i> Comunidades validadas
                    </span>
                    <div class="count">
                        {% if totais.totais_gerais.total_territorios_aprovados %}
                            {{ totais.totais_gerais.total_territorios_aprovados }}
                        {% else %}
                            0
                        {% endif %}
                        <span class="text-small text-muted">
                            ({{ totais.totais_gerais.total_territorios_aprovados | percentage:totais.totais_gerais.total_territorios }}%)
                        </span>
                    </div>
                    <div class="count_bottom">de {{ totais.totais_gerais.total_territorios }}</div>
                </div>
            {% endif %}
            <div class="col-md-2 col-sm-4 col-xs-6 tile_stats_count">
                <span class="count_top"><i class="fa fa-flag"></i> Área Mapeada</span>
                <div id="areaMapeadaAprovada" class="count"></div>
                <div id="areaMapeada" class="count_bottom"></div>
            </div>
            <div class="col-md-2 col-sm-4 col-xs-6 tile_stats_count">
                {% if organizacao_id %}
                    <span class="count_top"><i class="fa fa-user"></i> Revisoras/es</span>
                    <div class="count">{{ totais.totais_gerais.qtde_revisoras }}</div>
                    <div class="count_bottom">&nbsp;</div>
                {% else %}
                    <span class="count_top"><i class="fa fa-user"></i> Usuárias/os</span>
                    <div class="count">{{ totais.totais_gerais.qtde_usuarias }}</div>
                    <div class="count_bottom">&nbsp;</div>
                {% endif %}
            </div>
            <div class="col-md-2 col-sm-4 col-xs-6 tile_stats_count">
                <span class="count_top"><i class="fa fa-heart"></i> Famílias</span>
                <div class="count">
                    {% if totais.totais_gerais.total_familias_aprovadas %}
                        {{ totais.totais_gerais.total_familias_aprovadas }}<span class="text-small text-muted">({{ totais.totais_gerais.total_familias_aprovadas | percentage:totais.totais_gerais.total_familias }}%)</span>
                    {% else %}
                        0
                    {% endif %}
                </div>
                <div class="count_bottom">de {{ totais.totais_gerais.total_familias }}</div>
            </div>
            <div class="col-md-2 col-sm-4 col-xs-6 tile_stats_count">
                <span class="count_top"><i class="fa fa-leaf"></i> Áreas de Uso</span>
                <div class="count">
                    {% if totais.totais_gerais.total_areas_de_uso_aprovadas %}
                        {{ totais.totais_gerais.total_areas_de_uso_aprovadas }}<span class="text-small text-muted">({{ totais.totais_gerais.total_areas_de_uso_aprovadas | percentage:totais.totais_gerais.total_areas_de_uso }}%)</span>
                    {% else %}
                        0
                    {% endif %}
                </div>
                <div class="count_bottom">de {{ totais.totais_gerais.total_areas_de_uso }}</div>
            </div>
            <div class="col-md-2 col-sm-4 col-xs-6 tile_stats_count">
                <span class="count_top"><i class="fa fa-bomb"></i> Conflitos</span>
                <div class="count">
                    {% if totais.totais_gerais.total_conflitos_aprovados %}
                        {{ totais.totais_gerais.total_conflitos_aprovados }}<span class="text-small text-muted"> ({{ totais.totais_gerais.total_conflitos_aprovados | percentage:totais.totais_gerais.total_conflitos }}%)</span>
                    {% else %}
                        0
                    {% endif %}
                </div>
                <div class="count_bottom">de {{ totais.totais_gerais.total_conflitos }}</div>
            </div>
        </div>
        <!-- /top tiles -->
        <div class="row">
            {% if not user.is_parceira %}
                <div class="col-lg-4 col-md-6 col-sm-12">
                    <div class="x_panel tile">
                        <div class="x_title">
                            <h2>SAC: Atendimentos em aberto ({{ mensagens_sac|length }})</h2>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content fixed_height_320 overflow_auto">
                            <table class="table table-striped table-bordered table-condensed">
                                <tbody>
                                    {% for mensagem in mensagens_sac %}
                                        <tr>
                                            <td>
                                                <div>
                                                    De: <b>{{ mensagem.remetente }}</b>
                                                    <br />
                                                    Comunidade: <b>{{ mensagem.territorio.nome }}</b>
                                                </div>
                                                <div class="alert alert-warning mb-0">{{ mensagem.texto|truncatechars:120 }}</div>
                                                <div class="small text-right mb-1">{{ mensagem.data_envio }}</div>
                                                <a class="btn btn-warning"
                                                   style="width:100%"
                                                   href="{% url 'territorio_mensagens' territorio_id=mensagem.territorio.id %}">Ver</a>
                                            </td>
                                        </tr>
                                    {% empty %}
                                        <tr>
                                            <td>
                                                <div class="alert alert-success mb-0">Uau! Você não tem atendimentos pendentes!</div>
                                            </td>
                                        </tr>
                                    {% endfor %}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            {% endif %}
            {% if organizacao_id and totais.evolucao_cadastros|get_dict_attr:'territorios' %}
                <div class="{% if not user.is_parceira %}col-lg-8 col-md-6{% endif %} col-sm-12">
                    {% grafico_plot_merged titulo="Evolução temporal de cadastros na organização" dados_um=totais.evolucao_cadastros.territorios dados_por_estado_um=totais.evolucao_cadastros.territorios_por_estado %}
                </div>
            {% elif totais.evolucao_cadastros|get_dict_attr:'territorios' and totais.evolucao_cadastros|get_dict_attr:'usuarias' %}
                <div class="{% if not user.is_parceira %}col-md-8{% else %}col-sm-12{% endif %}">
                    {% grafico_plot_merged titulo="Evolução temporal de cadastros" dados_um=totais.evolucao_cadastros.territorios dados_por_estado_um=totais.evolucao_cadastros.territorios_por_estado dados_dois=totais.evolucao_cadastros.usuarias %}
                </div>
            {% endif %}
        </div>
        <br />
        <div class="row">
            {% grafico_barras titulo="Situação dos cadastros" dados=totais.totais_status id_field="status" %}
            {% grafico_barras titulo="Tipos de comunidades (validadas)" dados=totais.totais_tipo_comunidade dados_por_estado=totais.totais_tipo_comunidade_por_estado estado_field="territorios__municipio_referencia__estado__nome" %}
            {% grafico_barras titulo="Áreas de Uso (comunidades validadas)" dados=totais.totais_areas_de_uso dados_por_estado=totais.totais_areas_de_uso_por_estado id_field="label_id" label_field="label_nome" estado_field="label_estado" %}
            {% grafico_barras titulo="Conflitos (comunidades validadas)" dados=totais.totais_conflitos dados_por_estado=totais.totais_conflitos_por_estado id_field="label_id" label_field="label_nome" estado_field="label_estado" %}
        </div>
        <div class="row">
            {% grafico_mapa titulo="Comunidades validadas por estado" dados=totais.estados_territorios territory_label="uf" territory_value="qtde" %}
        </div>
    {% else %}
        <div class="row tile_count mt-5">
            <div class="jumbotron">
                <h1>Sem dados</h1>
                <p>
                    {% if organizacao_id %}
                        Ainda não há comunidades relacionadas a esta organização.
                    {% else %}
                        Ainda não há comunidades cadastradas.
                    {% endif %}
                </p>
            </div>
        </div>
    {% endif %}
    <script>
        const areaMapeada = {% if totais.totais_gerais.area_territorios %}'{{ totais.totais_gerais.area_territorios }}'{% else %}'0'{% endif %};
        const areaMapeadaAprovada = {% if totais.totais_gerais.area_territorios_aprovados %}'{{ totais.totais_gerais.area_territorios_aprovados }}'{% else %}'0'{% endif %};
    </script>
{% endblock content %}
